#! /bin/sh
# generate_messages.sh -- Generate messages from textual representation
# Marc SCHAEFER <schaefer@alphanet.ch>
# Creation: 19/11/96 
# Update:   23/08/97
# V1.0 PV004
# DISCLAIMER
#    No warranty, either expressed or implied.
# COPYRIGHT
#    Fully protected under Berne Convention, use authorized except
#    if you make money from this use (contact me before).
# DESCRIPTION
#    This script creates message files from the text file MESSAGES.
#    The generated files are modem-type specific files.
# NOTES
#    - Might need a patched rsynth.
#    - Needs ksh or bash.
#    - Might need to adjust the paths.
#    - New conversion commands based on voice/scripts/speakdate.sh
# BUGS
#    - Might be Linux specific.
#    - Looks hackish. It is.
# TODO
# MODIFICATION-HISTORY
#    23/08/97  schaefer  New PVF tools.
#                        RCS initial checkin.
#    30/11/97  danf      Changed file locations to RedHat standard
#                        Changed to use new unpatched rsynth
# $Id: generate_messages.sh,v 1.3 1997/08/23 11:44:11 schaefer Exp $

if [ $# != 0 ]; then
   echo "$0"
   echo "$0: bad args."
   exit 2
fi

# Next four lines are installation-specific and are corrected by setup.sh
PVF_TOOLS_DIR=/usr/bin
SAY_RSYNTH_EXECUTABLE=/usr/bin/say
PVF_MODEM_FILTER='pvftormd ZyXEL_1496 2'
SELECT_RANDOM_FILE=/usr/bin/randomize
PVF_CUT="$PVF_TOOLS_DIR/pvfcut -H -0.5 -T -0.5"
#PVF_CUT="cat"
PVF_SPEED="$PVF_TOOLS_DIR/pvfspeed -s 9600"
PVF_AMP="$PVF_TOOLS_DIR/pvfamp -A 3.0"

# Don't change anything from here.
export MESSAGES=MESSAGES

function say_something {
   rm -f tmp
   touch tmp
   $SAY_RSYNTH_EXECUTABLE -r 9600 -a -l tmp "$1" > /dev/null 
   cat tmp | $PVF_TOOLS_DIR/lintopvf -I -S -W -s 9600 | $PVF_CUT | $PVF_AMP | $PVF_TOOLS_DIR/$PVF_MODEM_FILTER > $2
   rm tmp
}

echo "$0"
echo ""
echo -n "Generating messages ..."

cat $MESSAGES | ( while :
                  do
                     read Line
                     if [ $? != 0 ]; then
                        break
                     fi
                     set - $Line
                     WHERE=$1
                     shift
                     Line="$*"
                     echo "$WHERE "
                     if [ -f $WHERE ]; then
                        mv $WHERE $WHERE.DIS
                     fi
                     say_something "$Line" `pwd`/$WHERE
                  done
                )
echo ""
